# $Revision: 1.34.2.1 $, $Date: 2003/03/13 00:58:00 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Tools
Summary:	MailTools - a set of perl modules related to mail applications
Summary(pl):	MailTools - zestaw narzdzi do pracy z poczt i aplikacjami pocztowymi
Name:		perl-MailTools
Version:	1.58
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-libnet
BuildRequires:	perl(Net::Domain) >= 1.05
BuildRequires:	perl(Net::SMTP) >= 1.03
BuildRequires:	perl-TimeDate
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MailTools - a set of perl modules related to mail applications.

%description -l pl
MailTools - zestaw narzdzi do pracy z poczt i aplikacjami pocztowymi.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a README.* examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/README.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_sitelib}/Mail/*.pm
%{perl_sitelib}/Mail/Field
%{perl_sitelib}/Mail/Mailer
%{perl_sitelib}/auto/Mail/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-MailTools.spec,v $
Revision 1.34.2.1  2003/03/13 00:58:00  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.34  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.33  2003/02/18 15:36:13  ankry
- massive attack: change CPAN URLs

Revision 1.32  2003/01/15 18:15:14  mis
- autoupdated to 1.58

Revision 1.31  2003/01/07 15:44:02  tjbynum
- up to date - maybe put into ra/updates...

Revision 1.30  2002/11/11 18:42:55  marcus
- upgraded to 1.51 (sec. upgrade)

Revision 1.29  2002/09/08 11:02:40  radek
- version 1.50
- provided informative summary
STBR

Revision 1.28  2002/08/11 14:01:57  radek
- fixed source URL

Revision 1.27  2002/08/03 11:35:54  ankry
- %%{perl_sitelib}/auto/Mail dir moved to perl
- added test on BCond
- release 7

Revision 1.26  2002/07/20 10:21:45  qboosh
- autosplit.ix is back (needed), added versions to BRs; release 6

Revision 1.25  2002/07/19 00:04:54  ankry
- fixed %%files
- removed autosplit.ix
- release 5

Revision 1.24  2002/07/16 23:59:27  ankry
- cleaning

Revision 1.23  2002/07/16 23:40:41  ankry
- translations, cleaning
- added %%{perl_sitelib}/Mail
- new %%doc
- release 4

Revision 1.22  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/03/03 21:17:02  marcus
- rel.3.

Revision 1.20  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/10 15:28:23  depesz
adapterized

Revision 1.18  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.16  2001/11/27 16:42:09  mis
- autoupdated to 1.41

Revision 1.15  2001/09/10 13:01:38  mis
- autoupdated to 1.40

Revision 1.14  2001/08/20 09:28:32  mis
- autoupdated to 1.16

Revision 1.13  2001/04/17 12:12:24  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/12 12:43:52  wiget
1.15

Revision 1.10  2001/01/11 02:13:28  kloczek
- release 5: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.4  1999/11/09 00:16:12  pius
- fixed directory ownership
- release++

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/30 15:27:29  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
